:root {
	--brand-color-1: rgb(192,4,37);
	--brand-color-2: rgb(192,4,37);
	--brand-color-text : #FBFBFB;

    --brand-gradient-1: none;
    --brand-gradient-2: none;
	
	--background-gradient-1: none;
	--background-gradient-2: none;
	--background-gradient-3: none;
	--background-gradient-4: none;
	--background-gradient-5: none;
	--background-gradient-6: none;

	--background-color-1: #272d33;
	--background-color-2: #323a41;
	--background-color-3: #3d4750;
	--background-color-4: #48535e;
	--background-color-5: #53606d;
    --background-color-6: #5e6d7b;
	--text-color-1: #FFFFFF;
	--text-color-2: #CCCCCC;
	--text-color-3: #B3B3B3;
	--text-color-4: #FFFFFF;
	--font-family-1: 'Roboto',sans-serif;

	--modal-bg-color-1: #272d33;
	--modal-bg-color-2: #323a41;
	--modal-bg-color-3: #3d4750;
	--modal-bg-color-4: #48535e;
	--modal-text-color-1: #ffffff;
	--modal-text-color-2: #cccccc;
	--modal-text-color-3: #b3b3b3;

	--btn-radius-top-left: 2px;
	--btn-radius-top-right: 2px;
	--btn-radius-bottom-left: 2px;
	--btn-radius-bottom-right: 2px;
 
	--input-radius-top-left: 2px;
	--input-radius-top-right: 2px;
	--input-radius-bottom-left: 2px;
	--input-radius-bottom-right: 2px;
 
	--odd-radius-top-left: 2px;
	--odd-radius-top-right: 2px;
	--odd-radius-bottom-left: 2px;
	--odd-radius-bottom-right: 2px;

	 /*Default imutable colors*/
    --white-color: #fff;
    --black-color: #000;
    --error-color: #F02849;
    --success-color: #009900;
	--info-color: #FFB700;
}

:root[data-theme="light"] {
	--brand-color-1: rgb(192,4,37);
	--brand-color-2: rgb(223,6,27);
	--brand-color-text : #FBFBFB;

    --brand-gradient-1: none;
    --brand-gradient-2: none;
    --brand-gradient-3: {brand-gradient-3-2};
	
	--background-gradient-1: none;
	--background-gradient-2: none;
	--background-gradient-3: none;
	--background-gradient-4: none;
	--background-gradient-5: none;
	--background-gradient-6: none;

	--background-color-1: rgb(255,255,255);
	--background-color-2: rgb(255,255,255);
	--background-color-3: rgb(255,255,255);
	--background-color-4: rgb(255,255,255);
	--background-color-5: rgb(255,255,255);
    --background-color-6: rgb(255,255,255);

	--text-color-1: rgb(0,0,0);
	--text-color-2: #CCCCCC;
	--text-color-3: #B3B3B3;
	--text-color-4: rgb(0,0,0);

	--modal-bg-color-1: rgb(255,255,255);
	--modal-bg-color-2: rgb(249,249,249);
	--modal-bg-color-3: rgb(46,48,62);
	--modal-bg-color-4: rgb(117,118,120);

	--modal-text-color-1: rgb(220,220,220);
	--modal-text-color-2: rgb(0,0,0);
	--modal-text-color-3: rgb(65,65,65);
}

:root[data-theme="dark"] {
	--brand-color-1: rgb(192,4,37);
	--brand-color-2: rgb(223,6,27);
	--brand-color-text : #FBFBFB;

    --brand-gradient-1: none;
    --brand-gradient-2: none;
    --brand-gradient-3: {brand-gradient-3-1};
	
	--background-gradient-1: none;
	--background-gradient-2: none;
	--background-gradient-3: none;
	--background-gradient-4: none;
	--background-gradient-5: none;
	--background-gradient-6: none;

	--background-color-1: rgb(0,0,0);
	--background-color-2: rgb(46,46,46);
	--background-color-3: rgb(0,0,0);
	--background-color-4: rgb(0,0,0);
	--background-color-5: rgb(0,0,0);
    --background-color-6: rgb(0,0,0);

	--text-color-1: rgb(255,255,255);
	--text-color-2: #CCCCCC;
	--text-color-3: #B3B3B3;
	--text-color-4: rgb(255,255,255);
	
	--modal-bg-color-1: rgb(255,255,255);
	--modal-bg-color-2: rgb(249,249,249);
	--modal-bg-color-3: rgb(46,48,62);
	--modal-bg-color-4: rgb(117,118,120);

	--modal-text-color-1: rgb(220,220,220);
	--modal-text-color-2: rgb(0,0,0);
	--modal-text-color-3: rgb(65,65,65);
}